× Warning! This forum is in archival status. New contributions may not work.
Install script fails on fresh Ubuntu 16.04
  • I put Ubuntu 16.04 on an Oracle VM Virtualbox, and entered this code:
    I get this error and get kicked to prompt after the postbuild script:
    14 verbose stack Error: superdesk-core@1.33.2 setup-extensions: `node ./tasks/namespace-css-from-extensions.js && node ./tasks/install-extensions.js`
    14 verbose stack Exit status 1
    14 verbose stack     at EventEmitter.<anonymous> (/usr/lib/node_modules/npm/lib/utils/lifecycle.js:279:16)
    14 verbose stack     at emitTwo (events.js:106:13)
    14 verbose stack     at EventEmitter.emit (events.js:194:7)
    14 verbose stack     at ChildProcess.<anonymous> (/usr/lib/node_modules/npm/lib/utils/spawn.js:40:14)
    14 verbose stack     at emitTwo (events.js:106:13)
    14 verbose stack     at ChildProcess.emit (events.js:194:7)
    14 verbose stack     at maybeClose (internal/child_process.js:899:16)
    14 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
    15 verbose pkgid superdesk-core@1.33.2
    16 verbose cwd /opt/superdesk/client/node_modules/superdesk-core
    17 error Linux 4.15.0-45-generic
    18 error argv "/usr/bin/nodejs" "/usr/bin/npm" "run" "setup-extensions"
    19 error node v7.10.1
    20 error npm  v4.2.0
    21 error code ELIFECYCLE
    22 error errno 1
    23 error superdesk-core@1.33.2 setup-extensions: `node ./tasks/namespace-css-from-extensions.js && node ./tasks/install-extensions.js`
    23 error Exit status 1
    24 error Failed at the superdesk-core@1.33.2 setup-extensions script 'node ./tasks/namespace-css-from-extensions.js && node ./tasks/install-extensions.js'.
    24 error Make sure you have the latest version of node.js and npm installed.
    24 error If you do, this is most likely a problem with the superdesk-core package,
    24 error not with npm itself.
    24 error Tell the author that this fails on your system:
    24 error     node ./tasks/namespace-css-from-extensions.js && node ./tasks/install-extensions.js
    24 error You can get information on how to open an issue for this project with:
    24 error     npm bugs superdesk-core
    24 error Or if that isn't available, you can get their info via:
    24 error     npm owner ls superdesk-core
    24 error There is likely additional logging output above.
    25 verbose exit [ 1, true ]
    26 warn Local package.json exists, but node_modules missing, did you mean to install?
    Any tips on how to resolve this?
  • 2 Comments sorted by
  • Have you set locale? I have installed on a fresh 16.04 in virtualbox myself now, and I am not getting those errors. I did get an error earlier but this was fixed with these commands:

    export LC_ALL="en_US.UTF-8"
    export LC_CTYPE="en_US.UTF-8"

    dpkg-reconfigure locales

    Ran it all as sudo user (sudo -i)
  • Boom, it worked. :)

    I had to make sure to run sudo apt upgrade first. Otherwise it failed while installing extensions.

    Thanks!